# DOMNode.hpp File Reference

Go to the source code of this file.

## Classes

class | DOMNode
| The `DOMNode` interface is the primary datatype for the entire Document Object Model. More...

## Defines

#define | XERCESC_INCLUDE_GUARD_DOMNODE_HPP
#define | GET_OWNER_DOCUMENT(ptr) ((DOMDocumentImpl*)(ptr->getOwnerDocument()))
#define | GET_DIRECT_MM(ptr) (ptr ? ((DOMDocumentImpl*)ptr)->getMemoryManager() : XMLPlatformUtils::fgMemoryManager)
#define | GET_INDIRECT_MM(ptr)
#define | GetDOMNodeMemoryManager GET_INDIRECT_MM(this)

## Define Documentation

#define GET_DIRECT_MM | ( | ptr |  | ) | (ptr ? ((DOMDocumentImpl*)ptr)->getMemoryManager() : XMLPlatformUtils::fgMemoryManager)

#define GET_INDIRECT_MM | ( | ptr |  | ) |

Value:

    (!ptr ? XMLPlatformUtils::fgMemoryManager :                              \
            GET_OWNER_DOCUMENT(ptr) ? GET_OWNER_DOCUMENT(ptr)->getMemoryManager() : \
            XMLPlatformUtils::fgMemoryManager)

#define GET_OWNER_DOCUMENT | ( | ptr |  | ) | ((DOMDocumentImpl*)(ptr->getOwnerDocument()))

#define GetDOMNodeMemoryManager GET_INDIRECT_MM(this)

#define XERCESC_INCLUDE_GUARD_DOMNODE_HPP